### Method

# EDataCal CalBackend get_attachment_uris_sync

since: 3.10

#### Declaration [src]

    gboolean
    e_cal_backend_get_attachment_uris_sync (
      ECalBackend* backend,
      const gchar* uid,
      const gchar* rid,
      GQueue* out_attachment_uris,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Inspects the iCalendar object specified by `uid` and, optionally, `rid` for attachments and deposits a URI string for each attachment in `out_attachment_uris`. Free the returned strings with `g_free()` when finished with them.

If an error occurs, the function will set `error` and return `FALSE`. Note that an empty result set does not necessarily imply an error.

Available since: 3.10

#### Parameters

`uid`

  Type: `const gchar*`

  A unique ID for an iCalendar object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  A recurrence ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_attachment_uris`

  Type: `GQueue`

  A `GQueue` in which to deposit results.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.